<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<project
  xmlns:util="jelly:util"
  xmlns:j="jelly:core"
  xmlns:ant="jelly:ant"
  xmlns:x="jelly:xml"
  xmlns:assert="assert">
  
  <goal name="testPlugin">
    <attainGoal name="fixture"/>
    <attainGoal name="testReportOk"/>
  </goal>

  <goal name="fixture">

    <!-- Setup -->
  	<j:set var="goal" value="clean"/>
    <attainGoal name="multiproject:goal"/>

    <!-- Call goal to test -->
    <attainGoal name="site"/>

  </goal>

  <goal name="testReportOk">

    <!-- Verifications -->
    <assert:assertFileExists file="${maven.docs.dest}/dashboard-report.html"/>
    <assert:assertFileExists file="${maven.gen.docs}/dashboard-report.xml"/>

    <util:file var="dashboardAsFile" 
        name="${maven.gen.docs}/dashboard-report.xml"/>
    <x:parse var="doc" xml="${dashboardAsFile}"/>           

    <x:set var="count" select="count($doc//table//tr)"/>
    <assert:assertEquals expected="4" value="${count.intValue().toString()}"/>

  </goal>
</project>